package ch.unige.aou.model.rest;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import ch.unige.aou.model.publication.DocumentFile.DocumentFileStatus;

public class DocumentFileStatisticsDTO {
  private DocumentFileStatus documentFileStatus;
  private long numberOfOccurence;

  public DocumentFileStatisticsDTO(DocumentFileStatus documentFileStatus, long numberOfOccurrence) {
    this.documentFileStatus = documentFileStatus;
    this.numberOfOccurence = numberOfOccurrence;
  }
  public DocumentFileStatus getDocumentFileStatus() {
    return this.documentFileStatus;
  }
  public long getNumberOfOccurence() {
    return this.numberOfOccurence;
  }
  public static Map<DocumentFileStatus, Long> getMapFromList(List<DocumentFileStatisticsDTO> listStatistics) {
    Map<DocumentFileStatus, Long> mapStatistics = new HashMap<>();
    for(DocumentFileStatisticsDTO stat : listStatistics) {
      mapStatistics.put(stat.getDocumentFileStatus(), stat.getNumberOfOccurence());
    }
    return mapStatistics;
  }
}
