package ch.unige.aou.model.xml.deposit.v1.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v1.Dois;

public class DoisSerializer extends StdSerializer<Dois> {
  public DoisSerializer() {
    this(null);
  }

  public DoisSerializer(Class<Dois> t) {
    super(t);
  }

  @Override
  public void serialize(Dois value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeStartArray();
    for (String doi : value.getDoi()) {
      jgen.writeStartObject();
      jgen.writeStringField("doi", doi);
      jgen.writeEndObject();
    }
    jgen.writeEndArray();
  }
}
