package ch.unige.aou.model.xml.deposit.v1.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v1.Rights;

public class RightsSerializer extends StdSerializer<Rights> {
  public RightsSerializer() {
    this(null);
  }

  public RightsSerializer(Class<Rights> t) {
    super(t);
  }

  @Override
  public void serialize(Rights value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeObject(value.getRight());
  }
}
