package ch.unige.aou.repository;

import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import ch.unige.aou.model.publication.Comment;

import ch.unige.solidify.repository.SolidifyRepository;

@Repository
@SuppressWarnings("squid:S1214")
public interface CommentRepository extends SolidifyRepository<Comment> {

  @Query("SELECT c FROM Comment c WHERE c.publication.resId = :publicationId")
  List<Comment> findByPublicationId(String publicationId);
}
