package ch.unige.aou;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.ComponentScan;

import ch.unige.solidify.util.SolidifyApplication;

@SpringBootApplication(scanBasePackages = { "ch.unige.aou", "ch.unige.solidify" })
@EntityScan(basePackages = { "ch.unige.aou.converter", "ch.unige.aou.model", "ch.unige.solidify" })
@ComponentScan(basePackages = { "ch.unige.aou", "ch.unige.solidify" })
@EnableCaching
public class SolutionApplication extends SolidifyApplication {
  static {
    applicationName = SolutionApplication.class;
  }

  public static void main(String[] args) {
    SolidifyApplication.launch(args);
  }
}