package ch.unige.aou.exception;

import ch.unige.solidify.exception.SolidifyRuntimeException;

import ch.unige.aou.model.xml.oai.v2.OAIPMHerrorType;
import ch.unige.aou.model.xml.oai.v2.OAIPMHerrorcodeType;

public class AouOAIException extends SolidifyRuntimeException {

  private static final long serialVersionUID = 5594617811163794690L;

  private final OAIPMHerrorType error = new OAIPMHerrorType();

  public AouOAIException(OAIPMHerrorcodeType code, String message) {
    super(message);
    this.error.setCode(code);
    this.error.setValue(message);
  }

  public OAIPMHerrorType getError() {
    return this.error;
  }

}
