package ch.unige.aou.service.admin;

import java.nio.file.Path;

import org.springframework.util.MultiValueMap;

import ch.unige.aou.model.publication.DocumentFile;
import ch.unige.aou.model.publication.Publication;
import ch.unige.aou.service.CompositionResourceClientServiceInterface;

public interface PublicationDocumentFileClientServiceInterface extends CompositionResourceClientServiceInterface<Publication, DocumentFile> {

  DocumentFile upload(String parentId, org.springframework.core.io.Resource file, MultiValueMap<String, Object> parameters);

  void confirm(String parentId, String id);

  void downloadDocumentFile(String parentId, String id, Path path);

}
