package ch.unige.aou.model.xml.deposit.v1.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v1.Citations;

public class CitationsSerializer extends StdSerializer<Citations> {
  public CitationsSerializer() {
    this(null);
  }

  public CitationsSerializer(Class<Citations> t) {
    super(t);
  }

  @Override
  public void serialize(Citations value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeObject(value.getCitation());
  }
}
