package ch.unige.aou.model.xml.deposit.v1.serializer;

import java.io.IOException;
import javax.xml.bind.JAXBElement;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v1.Publisher;

public class PublisherSerializer extends StdSerializer<Publisher> {
  public PublisherSerializer() {
    this(null);
  }

  public PublisherSerializer(Class<Publisher> t) {
    super(t);
  }

  @Override
  public void serialize(Publisher value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeStartObject();
    for (JAXBElement<String> element : value.getNameOrPlace()) {
      jgen.writeStringField(element.getName().getLocalPart(), element.getValue());
    }
    jgen.writeEndObject();
  }
}
