package ch.unige.aou.model.xml.deposit.v2_2.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v2_2.Abstracts;

public class AbstractsSerializer extends StdSerializer<Abstracts> {
  public AbstractsSerializer() {
    this(null);
  }

  public AbstractsSerializer(Class<Abstracts> t) {
    super(t);
  }

  @Override
  public void serialize(Abstracts value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeObject(value.getAbstract());
  }
}
