package ch.unige.aou.model.xml.deposit.v2_2.serializer;

import java.io.IOException;
import javax.xml.bind.JAXBElement;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v2_2.Pages;

public class PagesSerializer extends StdSerializer<Pages> {
  public PagesSerializer() {
    this(null);
  }

  public PagesSerializer(Class<Pages> t) {
    super(t);
  }

  @Override
  public void serialize(Pages value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeStartObject();
    for (JAXBElement<String> element : value.getPagingOrOther()) {
      jgen.writeStringField(element.getName().getLocalPart(), element.getValue());
    }
    jgen.writeEndObject();
  }
}
