package ch.unige.aou.model.xml.deposit.v2_4.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v2_4.Files;

public class FilesSerializer extends StdSerializer<Files> {
  public FilesSerializer() {
    this(null);
  }

  public FilesSerializer(Class<Files> t) {
    super(t);
  }

  @Override
  public void serialize(Files value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeObject(value.getFile());
  }
}
